Closed Bug 1434933 Opened 4 years ago Closed 2 years ago

Intermittent Assertion failure: !pd->minidump, at z:/build/build/src/toolkit/crashreporter/nsExceptionHandler.cpp:3292

Categories

(Toolkit :: Crash Reporting, defect, P5)

defect

Tracking

()

RESOLVED FIXED
mozilla77
Tracking Status
firefox77 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: gsvelto)

References

(Regressed 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [retrigger][stockwell needswork:owner])

Crash Data

Attachments

(1 file)

There have been 31 failures since this bug was created, 3 days ago. 

All the failures are occurring on the windows10-64 platform, debug build type. 

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=160315551&lineNumber=14102

And the relevant part of the log:
12:26:26     INFO -  GECKO(7252) | Assertion failure: !pd->minidump, at z:/build/build/src/toolkit/crashreporter/nsExceptionHandler.cpp:3292
12:26:39     INFO -  GECKO(7252) | #01: google_breakpad::CrashGenerationServer::HandleDumpRequest(google_breakpad::ClientInfo const &) [toolkit/crashreporter/breakpad-client/windows/crash_generation/crash_generation_server.cc:897]
12:26:39     INFO -  GECKO(7252) | #02: google_breakpad::CrashGenerationServer::OnDumpRequest(void *,unsigned char) [toolkit/crashreporter/breakpad-client/windows/crash_generation/crash_generation_server.cc:833]
12:26:39     INFO -  GECKO(7252) | #03: ntdll.dll + 0x4066b
12:26:39     INFO -  GECKO(7252) | #04: ntdll.dll + 0x41241
12:26:39     INFO -  GECKO(7252) | #05: ntdll.dll + 0x416fc
12:26:39     INFO -  GECKO(7252) | #06: KERNEL32.DLL + 0x12774
12:26:39     INFO -  GECKO(7252) | #07: ntdll.dll + 0x70d61
12:26:39     INFO -  TEST-INFO | Main app process: exit 1
12:26:39     INFO -  Buffered messages logged at 12:26:23
12:26:39     INFO -  692 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f1 is an asm.js module
12:26:39     INFO -  693 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f1.g is an asm.js function
12:26:39     INFO -  694 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f2 is an asm.js module
12:26:39     INFO -  695 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f2.main is an asm.js function
12:26:39     INFO -  696 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f3.main is an asm.js function
12:26:39     INFO -  Buffered messages finished
12:26:39    ERROR -  697 ERROR TEST-UNEXPECTED-FAIL | dom/asmjscache/test/test_slow.html | application terminated with exit code 1
12:26:39     INFO -  runtests.py | Application ran for: 0:00:23.680000
12:26:39     INFO -  zombiecheck | Reading PID log: c:\users\genericworker\appdata\local\temp\tmpv3w7vtpidlog
12:26:39     INFO -  ==> process 7252 launched child process 2040 ("Z:\task_1517746043\build\application\firefox\firefox.exe" -contentproc --channel="7252.0.1435597490\340693916" -childID 1 -isForBrowser -intPrefs 6:50|7:-1|35:1000|43:0|44:5|45:0|52:0|58:128|59:10000|64:0|66:400|67:1|68:0|69:0|70:100|75:0|76:120|77:120|159:2|160:1|164:60|165:30|166:1000|175:0|177:0|191:32|192:256|193:5|206:10000|227:24|228:32768|230:0|231:0|240:2|244:1048576|246:100|247:5000|249:600|251:1|259:20|276:5|280:0|288:60000|306:300|307:30| -boolPrefs 1:0|2:0|4:1|5:1|25:1|28:1|29:1|30:1|32:1|33:1|34:1|37:1|38:1|39:1|42:0|46:1|47:0|48:0|49:1|50:1|51:1|53:0|56:1|57:1|60:1|61:0|62:0|63:0|65:0|71:1|72:1|73:1|74:1|78:1|79:1|80:0|81:0|82:1|83:1|84:1|85:1|88:0|89:0|92:1|93:1|96:0|97:1|98:1|99:0|100:0|101:0|102:0|103:0|104:0|105:0|106:1|107:1|108:1|111:1|112:1|113:1|114:1|115:1|116:0|117:1|118:1|119:0|120:0|121:1|122:1|123:0|124:1|125:1|126:1|128:1|129:0|130:1|131:1|132:1|133:0|134:0|135:0|136:1|137:1|138:1|139:1|140:1|141:1|142:1|143:1|144:1|145:1|146:1|147:0|148:1|149:1|150:0|151:1|152:1|153:0|154:0|155:1|156:1|157:1|158:1|161:1|162:0|169:0|172:0|173:0|174:1|178:1|181:0|182:1|184:1|186:0|188:1|190:1|194:1|195:0|196:1|197:1|198:0|201:1|205:1|207:0|208:0|210:1|213:0|219:0|220:1|221:0|222:1|225:0|226:0|229:1|232:0|234:1|235:1|237:1|238:0|245:1|248:1|253:0|254:0|255:0|256:1|257:1|258:0|263:1|266:1|267:1|268:1|269:1|270:1|271:0|272:1|278:0|281:0|282:1|283:1|284:0|285:1|286:1|287:1|289:0|290:0|292:0|301:1|302:1|303:0|304:0|305:0| -stringPrefs "3:7;default|212:4;0.01|223:332; ����!==> process 7252 launched child process 2752 ("Z:\task_1517746043\build\application\firefox\firefox.exe" -contentproc --channel="7252.6.1063693614\2145763582" -childID 2 -isForBrowser -intPrefs 6:50|7:-1|35:1000|43:0|44:5|45:0|52:0|58:128|59:10000|64:0|66:400|67:1|68:0|69:0|70:100|75:0|76:120|77:120|159:2|160:1|164:60|165:30|166:1000|175:0|177:0|191:32|192:256|193:5|206:10000|227:24|228:32768|230:0|231:0|240:2|244:1048576|246:100|247:5000|249:600|251:1|259:20|276:5|280:0|288:60000|306:300|307:30| -boolPrefs 1:0|2:0|4:1|5:1|25:1|28:1|29:1|30:1|32:1|33:1|34:1|37:1|38:1|39:1|42:0|46:1|47:0|48:0|49:1|50:1|51:1|53:0|56:1|57:1|60:1|61:0|62:0|63:0|65:0|71:1|72:1|73:1|74:1|78:1|79:1|80:0|81:0|82:1|83:1|84:1|85:1|88:0|89:0|92:1|93:1|96:0|97:1|98:1|99:0|100:0|101:0|102:0|103:0|104:0|105:0|106:1|107:1|108:1|111:1|112:1|113:1|114:1|115:1|116:0|117:1|118:1|119:0|120:0|121:1|122:1|123:0|124:1|125:1|126:1|128:1|129:0|130:1|131:1|132:1|133:0|134:0|135:0|136:1|137:1|138:1|139:1|140:1|141:1|142:1|143:1|144:1|145:1|146:1|147:0|148:1|149:1|150:0|151:1|152:1|153:0|154:0|155:1|156:1|157:1|158:1|161:1|162:0|169:0|172:0|173:0|174:1|178:1|181:0|182:1|184:1|186:0|188:1|190:1|194:1|195:0|196:1|197:1|198:0|201:1|205:1|207:0|208:0|210:1|213:0|219:0|220:1|221:0|222:1|225:0|226:0|229:1|232:0|234:1|235:1|237:1|238:0|245:1|248:1|253:0|254:0|255:0|256:1|257:1|258:0|263:1|266:1|267:1|268:1|269:1|270:1|271:0|272:1|278:0|281:0|282:1|283:1|284:0|285:1|286:1|287:1|289:0|290:0|292:0|301:1|302:1|303:0|304:0|305:0| -stringPrefs "3:7;default|212:4;0.01|223:332; ����!
12:26:39     INFO -  zombiecheck | Checking for orphan process with PID: 2040
12:26:39     INFO -  mozcrash Copy/paste: Z:\task_1517746043\build\win32-minidump_stackwalk.exe c:\users\genericworker\appdata\local\temp\tmpnfcmiq.mozrunner\minidumps\6675e4ee-b09b-4f3b-9905-71b7350f6da0.dmp Z:\task_1517746043\build\symbols
12:26:47     INFO -  mozcrash Saved minidump as Z:\task_1517746043\build\blobber_upload_dir\6675e4ee-b09b-4f3b-9905-71b7350f6da0.dmp
12:26:47     INFO -  mozcrash Saved app info as Z:\task_1517746043\build\blobber_upload_dir\6675e4ee-b09b-4f3b-9905-71b7350f6da0.extra
12:26:47  WARNING -  PROCESS-CRASH | dom/asmjscache/test/test_slow.html | application crashed [@ CrashReporter::OnChildProcessDumpRequested]
12:26:47     INFO -  Crash dump filename: c:\users\genericworker\appdata\local\temp\tmpnfcmiq.mozrunner\minidumps\6675e4ee-b09b-4f3b-9905-71b7350f6da0.dmp
12:26:47     INFO -  Operating system: Windows NT
12:26:47     INFO -                    10.0.15063
12:26:47     INFO -  CPU: amd64
12:26:47     INFO -       family 6 model 63 stepping 2
12:26:47     INFO -       8 CPUs
12:26:47     INFO -  GPU: UNKNOWN
12:26:47     INFO -  Crash reason:  EXCEPTION_BREAKPOINT
12:26:47     INFO -  Crash address: 0x7ffa87910a1f
12:26:47     INFO -  Process uptime: 12 seconds
12:26:47     INFO -  Thread 43 (crashed)
12:26:47     INFO -   0  xul.dll!CrashReporter::OnChildProcessDumpRequested [nsExceptionHandler.cpp:5f18850383870618cec8c9b734c00cc9a9b8ffb6 : 3292 + 0x1b]
12:26:47     INFO -      rax = 0x0000000000000000   rdx = 0x00000094973ff548
12:26:47     INFO -      rcx = 0x00000000ffffffff   rbx = 0x0000000000000cdc
12:26:47     INFO -      rsi = 0x000002141df233d0   rdi = 0x000002141df05b50
12:26:47     INFO -      rbp = 0x00000094973ff5b0   rsp = 0x00000094973ff530
12:26:47     INFO -       r8 = 0x00000094973ff540    r9 = 0x00000094973ff538
12:26:47     INFO -      r10 = 0x0000000000000000   r11 = 0x00000094973faa90
12:26:47     INFO -      r12 = 0x0000000000000000   r13 = 0x000002141f936f80
12:26:47     INFO -      r14 = 0x000002143026f600   r15 = 0x0000000000000000
12:26:47     INFO -      rip = 0x00007ffa87910a1f
12:26:47     INFO -      Found by: given as instruc
tion pointer in context

:sdetar could you please take a look into this?
Flags: needinfo?(sdetar)
Whiteboard: [stockwell needswork]
Luke, is this something that makes sense for you to look into?
Flags: needinfo?(sdetar) → needinfo?(luke)
It seems that we have a crash in the crash reporter happening after a Parent/Child process assertion which might be caused by the AsmJS cache.

Luke, can you reproduce this AsmJS cache assertion?

I do not know who might be the right person to investigate the CrashReporter failures.
Interesting, it looks like just an assertion in the crash reporter itself.  I don't know who works on the crash reporter, actually, but maybe Anthony does?
Flags: needinfo?(luke) → needinfo?(ajones)
Oh wait, the crash reporter shouldn't even be running here, so cancelling that ni?.  I've never been able to repro a crash here but bug 1435360 should massively reduce the nondeterminism in the interrupt callback; I expect it'll make most of these rare timeout intermittents go away.
Flags: needinfo?(ajones)
This bug has failed 37 times in the last 7 days, mainly on Windows 10 but there was a fail on Linux. Only debug build type was affected.
Failing test:debug-mochitest-plain-headless-e10,debug-mochitest-e10

Link to a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=162258760&lineNumber=12921

:luke do you have any updates on this bug?
Flags: needinfo?(luke)
Yes, I still intend to implement bug 1435360 soon; I've just been held up on other tasks.
Flags: needinfo?(luke)
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → INCOMPLETE
https://treeherder.mozilla.org/logviewer.html#?job_id=195518300&repo=mozilla-central&lineNumber=11637
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Summary: Intermittent dom/asmjscache/test/test_slow.html | application terminated with exit code 1 → Intermittent Assertion failure: !pd->minidump, at z:/build/build/src/toolkit/crashreporter/nsExceptionHandler.cpp:3292
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 4 years ago3 years ago
Resolution: --- → INCOMPLETE
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 3 years ago3 years ago
Resolution: --- → INCOMPLETE
Status: REOPENED → RESOLVED
Closed: 3 years ago3 years ago
Resolution: --- → INCOMPLETE

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=237770787&repo=mozilla-central&lineNumber=4966

05:58:31 INFO - GECKO(7944) | #07: static bool mozilla::dom::WebGL2RenderingContext_Binding::readPixels(struct JSContext *, class JS::Handle<JSObject *>, class mozilla::WebGL2Context *, const class JSJitMethodCallArgs & const) [s3:gecko-generated-sources:4c8c75adc52984edf5eb58dfda0e655f4f86518617205c4c804ccba1084274f4a86bc66e1e050a3fd027627219705f1da5b4e17b03e724cd02b4f76416792652/dom/bindings/WebGL2RenderingContextBinding.cpp::6750]
05:58:31 INFO -
05:58:31 INFO - GECKO(7944) | #08: ??? (???:???)
05:58:31 INFO - GECKO(7944) | Assertion failure: !pd->minidump, at z:/build/build/src/toolkit/crashreporter/nsExceptionHandler.cpp:3001
05:58:31 INFO - GECKO(7944) | #01: google_breakpad::CrashGenerationServer::OnDumpRequest(void *,unsigned char) [toolkit/crashreporter/breakpad-client/windows/crash_generation/crash_generation_server.cc:833]
05:58:31 INFO -
05:58:31 INFO - GECKO(7944) | #02: ntdll.dll + 0x42e8b
05:58:31 INFO -
05:58:31 INFO - GECKO(7944) | #03: ntdll.dll + 0x42d34
05:58:31 INFO -
05:58:31 INFO - GECKO(7944) | #04: ntdll.dll + 0x1f5c9
05:58:31 INFO -
05:58:31 INFO - GECKO(7944) | #05: KERNEL32.DLL + 0x13034
05:58:31 INFO -
05:58:31 INFO - GECKO(7944) | #06: static void patched_BaseThreadInitThunk(int, void *, void *) [mozglue/build/WindowsDllBlocklist.cpp:713]
05:58:31 INFO -
05:58:31 INFO - GECKO(7944) | #07: ntdll.dll + 0x71461
05:58:31 INFO -
05:58:31 INFO - GECKO(7944) | Exiting due to channel error.
05:58:31 INFO - GECKO(7944) | Exiting due to channel error.
05:58:31 INFO - GECKO(7944) | Exiting due to channel error.
05:58:31 INFO - GECKO(7944) | Exiting due to channel error.
05:58:31 INFO - GECKO(7944) | [GPU 5524, Main Thread] WARNING: Shutting down GPU process early due to a crash!: file z:/build/build/src/gfx/ipc/GPUParent.cpp, line 472
05:58:31 INFO - TEST-INFO | Main app process: exit 1
05:58:31 INFO - Buffered messages logged at 05:57:47

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 3 years ago3 years ago
Resolution: --- → INCOMPLETE
Status: REOPENED → RESOLVED
Closed: 3 years ago2 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

This is now a high frequency bug: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=testfailed%2Cbusted%2Cexception&fromchange=5c34c24a4009c8d993ca0b83d388e327b15cdb3c&searchStr=windows%2C10%2Cx64%2Cquantumrender%2Cdebug%2Cmochitests%2Ctest-windows10-64-qr%2Fdebug-mochitest-browser-chrome-e10s-5%2Cm%28bc5%29&selectedJob=297560870

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=297560870&repo=autoland&lineNumber=31948

Possible culprit Bug 1578710 https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=Windows%2C10%2Cx64%2CQuantumRender%2Cdebug%2CMochitests%2Ctest-windows10-64-qr%2Fdebug-mochitest-browser-chrome-e10s-5%2CM%28bc5%29&tochange=c597cf7b3152f5cea5ab01555ed6a6b2ad323078&fromchange=ed91dbcd38d2d9bd8f461a823a089d2cdaa2a87e&selectedJob=297591677

[task 2020-04-14T17:00:28.702Z] 17:00:28     INFO - GECKO(6052) | [Child 10428: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 17 (00000279010E0400) [pid = 10428] [serial = 1421] [outer = 0000000000000000] [url = moz-extension://e4789466-60f3-4f4d-9c1d-9fe15c27b2cf/popup.html]
[task 2020-04-14T17:00:28.702Z] 17:00:28     INFO - GECKO(6052) | [Child 10428: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 16 (0000027900E9D400) [pid = 10428] [serial = 1402] [outer = 0000000000000000] [url = moz-extension://fd16897f-0bcc-4d88-a894-383da062e161/_generated_background_page.html]
[task 2020-04-14T17:00:28.702Z] 17:00:28     INFO - GECKO(6052) | [Child 10428: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 15 (0000027900E93000) [pid = 10428] [serial = 1407] [outer = 0000000000000000] [url = about:blank]
[task 2020-04-14T17:00:28.702Z] 17:00:28     INFO - GECKO(6052) | [Child 10428: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 14 (0000027900F6EC00) [pid = 10428] [serial = 1415] [outer = 0000000000000000] [url = about:blank]
[task 2020-04-14T17:00:28.702Z] 17:00:28     INFO - GECKO(6052) | [Child 10428: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 13 (0000027900E9CC00) [pid = 10428] [serial = 1405] [outer = 0000000000000000] [url = moz-extension://fd16897f-0bcc-4d88-a894-383da062e161/popup.html]
[task 2020-04-14T17:00:28.702Z] 17:00:28     INFO - GECKO(6052) | [Child 10428: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 12 (0000027900F65400) [pid = 10428] [serial = 1410] [outer = 0000000000000000] [url = moz-extension://9e117b10-f412-446e-a343-5de27f413154/_generated_background_page.html]
[task 2020-04-14T17:00:28.702Z] 17:00:28     INFO - GECKO(6052) | [Child 10428: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 11 (0000027901048800) [pid = 10428] [serial = 1418] [outer = 0000000000000000] [url = moz-extension://e4789466-60f3-4f4d-9c1d-9fe15c27b2cf/_generated_background_page.html]
[task 2020-04-14T17:00:28.703Z] 17:00:28     INFO - GECKO(6052) | [Child 10428: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 10 (0000027900FCF400) [pid = 10428] [serial = 1413] [outer = 0000000000000000] [url = moz-extension://9e117b10-f412-446e-a343-5de27f413154/popup.html]
[task 2020-04-14T17:00:35.199Z] 17:00:35     INFO - GECKO(6052) | Assertion failure: !pd->minidump, at /builds/worker/checkouts/gecko/toolkit/crashreporter/nsExceptionHandler.cpp:3233
[task 2020-04-14T17:00:35.200Z] 17:00:35     INFO - GECKO(6052) | #01: static google_breakpad::CrashGenerationServer::OnDumpRequest(void*, unsigned char) [hg:hg.mozilla.org/integration/autoland:toolkit/crashreporter/breakpad-client/windows/crash_generation/crash_generation_server.cc:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1:834]
[task 2020-04-14T17:00:35.200Z] 17:00:35     INFO - GECKO(6052) | #02: RtlUnsubscribeWnfNotificationWaitForCompletion [C:\Windows\SYSTEM32\ntdll.dll + 0x42e8b]
[task 2020-04-14T17:00:35.201Z] 17:00:35     INFO - GECKO(6052) | #03: RtlUnsubscribeWnfNotificationWaitForCompletion [C:\Windows\SYSTEM32\ntdll.dll + 0x42d34]
[task 2020-04-14T17:00:35.201Z] 17:00:35     INFO - GECKO(6052) | #04: RtlReleaseSRWLockExclusive [C:\Windows\SYSTEM32\ntdll.dll + 0x1f5c9]
[task 2020-04-14T17:00:35.201Z] 17:00:35     INFO - GECKO(6052) | #05: BaseThreadInitThunk [C:\Windows\System32\KERNEL32.DLL + 0x13034]
[task 2020-04-14T17:00:35.201Z] 17:00:35     INFO - GECKO(6052) | #06: RtlUserThreadStart [C:\Windows\SYSTEM32\ntdll.dll + 0x71461]
[task 2020-04-14T17:00:35.569Z] 17:00:35     INFO - GECKO(6052) | Exiting due to channel error.
[task 2020-04-14T17:00:35.570Z] 17:00:35     INFO - GECKO(6052) | Exiting due to channel error.
[task 2020-04-14T17:00:35.570Z] 17:00:35     INFO - GECKO(6052) | Exiting due to channel error.
[task 2020-04-14T17:00:35.570Z] 17:00:35     INFO - GECKO(6052) | Exiting due to channel error.
[task 2020-04-14T17:00:35.570Z] 17:00:35     INFO - GECKO(6052) | Exiting due to channel error.
[task 2020-04-14T17:00:35.570Z] 17:00:35     INFO - GECKO(6052) | [GPU 7264, Main Thread] WARNING: Shutting down GPU process early due to a crash!: file /builds/worker/checkouts/gecko/gfx/ipc/GPUParent.cpp, line 519
[task 2020-04-14T17:00:35.731Z] 17:00:35     INFO - TEST-INFO | Main app process: exit 1
[task 2020-04-14T17:00:35.732Z] 17:00:35    ERROR - TEST-UNEXPECTED-FAIL | ShutdownLeaks | process() called before end of test suite
[task 2020-04-14T17:00:35.732Z] 17:00:35     INFO - TEST-INFO | Confirming we saw 1235 DOCSHELL created and 1221 destroyed log strings.
[task 2020-04-14T17:00:35.732Z] 17:00:35     INFO - TEST-INFO | Confirming we saw 3278 DOMWINDOW created and 3243 destroyed log strings.
[task 2020-04-14T17:00:35.733Z] 17:00:35     INFO - Buffered messages logged at 17:00:19
[task 2020-04-14T17:00:35.733Z] 17:00:35     INFO - Entering test bound connect_from_tab_to_bg_and_crash_tab
[task 2020-04-14T17:00:35.734Z] 17:00:35     INFO - Extension loaded
[task 2020-04-14T17:00:35.734Z] 17:00:35     INFO - Console message: Warning: attempting to write 23080 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2020-04-14T17:00:35.734Z] 17:00:35     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_port_disconnect_on_crash.js | expected port - Expected: tab_to_bg, Actual: tab_to_bg - 
[task 2020-04-14T17:00:35.735Z] 17:00:35     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_port_disconnect_on_crash.js | correct frameId - Expected: 0, Actual: 0 - 
[task 2020-04-14T17:00:35.735Z] 17:00:35     INFO - Buffered messages finished
[task 2020-04-14T17:00:35.736Z] 17:00:35    ERROR - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_port_disconnect_on_crash.js | application terminated with exit code 1
[task 2020-04-14T17:00:35.736Z] 17:00:35     INFO - runtests.py | Application ran for: 0:10:29.497000
[task 2020-04-14T17:00:35.737Z] 17:00:35     INFO - zombiecheck | Reading PID log: c:\users\task_1586880548\appdata\local\temp\tmpyjq3ofpidlog
[task 2020-04-14T17:00:35.737Z] 17:00:35     INFO - ==> process 5732 launched child process 7264 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.0.992364586\676465232" -parentBuildID 20200414160558 -prefsHandle 2156 -prefMapHandle 2148 -prefsLen 1 -prefMapSize 231641 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 2212 gpu)
[task 2020-04-14T17:00:35.738Z] 17:00:35     INFO - ==> process 5732 launched child process 7868 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.6.66223853\444724027" -childID 1 -isForBrowser -prefsHandle 2824 -prefMapHandle 2820 -prefsLen 1541 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 2828 tab)
[task 2020-04-14T17:00:35.739Z] 17:00:35     INFO - ==> process 5732 launched child process 10428 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.13.625929169\784966982" -childID 2 -isForBrowser -prefsHandle 3120 -prefMapHandle 3116 -prefsLen 1682 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 3144 tab)
[task 2020-04-14T17:00:35.739Z] 17:00:35     INFO - ==> process 5732 launched child process 4920 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.20.1466489736\1583728307" -childID 3 -isForBrowser -prefsHandle 5304 -prefMapHandle 5300 -prefsLen 1743 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 5312 tab)
[task 2020-04-14T17:00:35.739Z] 17:00:35     INFO - ==> process 5732 launched child process 10792 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.27.936192370\1460434797" -childID 4 -isForBrowser -prefsHandle 4944 -prefMapHandle 3352 -prefsLen 11230 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 5556 tab)
[task 2020-04-14T17:00:35.739Z] 17:00:35     INFO - ==> process 5732 launched child process 7128 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.34.1258773145\1387873838" -childID 5 -isForBrowser -prefsHandle 3844 -prefMapHandle 3300 -prefsLen 11443 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 2808 tab)
[task 2020-04-14T17:00:35.739Z] 17:00:35     INFO - ==> process 5732 launched child process 3368 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.41.640964189\2050761892" -childID 6 -isForBrowser -prefsHandle 4640 -prefMapHandle 5656 -prefsLen 11444 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 5644 tab)
[task 2020-04-14T17:00:35.739Z] 17:00:35     INFO - ==> process 5732 launched child process 5672 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.48.1212555421\1633017921" -childID 7 -isForBrowser -prefsHandle 5232 -prefMapHandle 4040 -prefsLen 12937 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 4092 tab)
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - ==> process 5732 launched child process 2180 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.55.401452599\2097389789" -childID 8 -isForBrowser -prefsHandle 4088 -prefMapHandle 5252 -prefsLen 13098 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 5724 tab)
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - ==> process 5732 launched child process 1172 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.62.147129166\1286428383" -childID 9 -isForBrowser -prefsHandle 5916 -prefMapHandle 4892 -prefsLen 14231 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 5924 tab)
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - ==> process 5732 launched child process 9560 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.69.36496374\1508040618" -childID 10 -isForBrowser -prefsHandle 4656 -prefMapHandle 3456 -prefsLen 14697 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 5252 tab)
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - ==> process 5732 launched child process 10824 ("Z:\task_1586880548\build\application\firefox\plugin-container.exe" --channel="5732.76.925203595\956466318" "C:\Users\task_1586880548\AppData\Local\Temp\tmpd_e18t.mozrunner\plugins\nptest.dll" "C:\Users\task_1586880548\AppData\LocalLow\Mozilla\Temp-{1e54dd82-3710-4096-949e-19302c0debf0}" "Z:\task_1586880548\AppData\Roaming\Adobe\\" -appdir "Z:\task_1586880548\build\application\firefox\browser" EA00452E0C8CED30 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 6784 plugin)
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - ==> process 5732 launched child process 8432 ("Z:\task_1586880548\build\application\firefox\firefox.exe" -contentproc --channel="5732.81.517356432\1529601189" -childID 11 -isForBrowser -prefsHandle 10776 -prefMapHandle 10476 -prefsLen 14654 -prefMapSize 231641 -parentBuildID 20200414160558 -appdir "Z:\task_1586880548\build\application\firefox\browser" - 5732 "\\.\pipe\gecko-crash-server-pipe.5732" 6104 tab)
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 7264
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 2180
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 5672
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 10792
[task 2020-04-14T17:00:35.740Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 7868
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 9560
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 8432
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 4920
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 10824
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 1172
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 7128
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 10428
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - zombiecheck | Checking for orphan process with PID: 3368
[task 2020-04-14T17:00:35.741Z] 17:00:35     INFO - mozcrash Copy/paste: Z:/task_1586880548/fetches\minidump_stackwalk\minidump_stackwalk.exe c:\users\task_1586880548\appdata\local\temp\tmpd_e18t.mozrunner\minidumps\f9878d2b-49b2-48e5-b490-d9cee840ff5e.dmp Z:\task_1586880548\build\symbols
[task 2020-04-14T17:00:43.032Z] 17:00:43     INFO - mozcrash Saved minidump as Z:\task_1586880548\build\blobber_upload_dir\f9878d2b-49b2-48e5-b490-d9cee840ff5e.dmp
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - PROCESS-CRASH | browser/components/extensions/test/browser/browser_ext_port_disconnect_on_crash.js | application crashed [@ js::ctypes::ConvertToJS(JSContext*, JS::Handle<JSObject *>, JS::Handle<JSObject *>, void*, bool, bool, JS::MutableHandle<JS::Value>)]
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - Crash dump filename: c:\users\task_1586880548\appdata\local\temp\tmpd_e18t.mozrunner\minidumps\f9878d2b-49b2-48e5-b490-d9cee840ff5e.dmp
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - Operating system: Windows NT
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO -                   10.0.17134 
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - CPU: amd64
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO -      family 6 model 85 stepping 4
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO -      8 CPUs
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - 
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - GPU: UNKNOWN
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - 
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - Crash address: 0x8
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - Assertion: Unknown assertion type 0x00000000
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - Process uptime: 627 seconds
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - 
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO - Thread 0 (crashed)
[task 2020-04-14T17:00:43.051Z] 17:00:43     INFO -  0  xul.dll!js::ctypes::ConvertToJS(JSContext*, JS::Handle<JSObject *>, JS::Handle<JSObject *>, void*, bool, bool, JS::MutableHandle<JS::Value>) [CTypes.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 0 + 0x1f]
[task 2020-04-14T17:00:43.052Z] 17:00:43     INFO -     rax = 0x00007ffdcd776348   rdx = 0x0000000000000001
[task 2020-04-14T17:00:43.052Z] 17:00:43     INFO -     rcx = 0x00007ffdcd77680c   rbx = 0x000000053d5faa00
[task 2020-04-14T17:00:43.052Z] 17:00:43     INFO -     rsi = 0x00007ffdcfcd9a50   rdi = 0x0000000000000000
[task 2020-04-14T17:00:43.052Z] 17:00:43     INFO -     rbp = 0x000000053d5faad0   rsp = 0x000000053d5fa9a0
[task 2020-04-14T17:00:43.052Z] 17:00:43     INFO -      r8 = 0x0000000000000000    r9 = 0x0000000000000008
[task 2020-04-14T17:00:43.052Z] 17:00:43     INFO -     r10 = 0x0000279f57e00000   r11 = 0x00ffffffffffffff
[task 2020-04-14T17:00:43.052Z] 17:00:43     INFO -     r12 = 0x000000053d5faab0   r13 = 0x000000053d5faa00
[task 2020-04-14T17:00:43.052Z] 17:00:43     INFO -     r14 = 0x000001f5f7732000   r15 = 0x0000000000000008
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     rip = 0x00007ffdcd776348
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     Found by: given as instruction pointer in context
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -  1  xul.dll!js::ctypes::PointerType::ContentsGetter(JSContext*, JS::CallArgs const&) [CTypes.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 5209 + 0x21]
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     rsp = 0x000000053d5faa60   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd775941
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -  2  xul.dll!static js::ctypes::Property<&js::ctypes::PointerType::IsPointer,&js::ctypes::PointerType::ContentsGetter>::Fun(JSContext*, unsigned int, JS::Value*) [CTypes.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 122 + 0x1f]
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     rsp = 0x000000053d5fab50   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd78f565
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -  3  xul.dll!CallJSNative(JSContext*, bool (*)(JSContext*, unsigned int, JS::Value*), js::CallReason, JS::CallArgs const&) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 490 + 0x6]
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     rsp = 0x000000053d5fabb0   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7cffda
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -  4  xul.dll!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 582 + 0x16]
[task 2020-04-14T17:00:43.053Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     rsp = 0x000000053d5fac50   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7cf89e
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -  5  xul.dll!InternalCall(JSContext*, js::AnyInvokeArgs const&, js::CallReason) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 645 + 0x11]
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     rsp = 0x000000053d5fad50   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7d10e0
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -  6  xul.dll!js::CallGetter(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, JS::MutableHandle<JS::Value>) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 786 + 0x2e]
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     rsp = 0x000000053d5fadb0   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7d204b
[task 2020-04-14T17:00:43.054Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -  7  xul.dll!GetExistingProperty<js::CanGC>(JSContext*, JS::Handle<JS::Value>, JS::Handle<js::NativeObject *>, JS::Handle<js::Shape *>, JS::MutableHandle<JS::Value>) [NativeObject.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 2303 + 0x94]
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     rsp = 0x000000053d5fae50   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcdb2fcb5
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -  8  xul.dll!NativeGetPropertyInline<js::CanGC>(JSContext*, JS::Handle<js::NativeObject *>, JS::Handle<JS::Value>, JS::Handle<JS::PropertyKey>, IsNameLookup, JS::MutableHandle<JS::Value>) [NativeObject.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 2443 + 0x1b]
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     rsp = 0x000000053d5faf00   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.055Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcdb30a30
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -  9  xul.dll!js::NativeGetProperty(JSContext*, JS::Handle<js::NativeObject *>, JS::Handle<JS::Value>, JS::Handle<JS::PropertyKey>, JS::MutableHandle<JS::Value>) [NativeObject.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 2480 + 0x12]
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     rsp = 0x000000053d5fb000   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcdb3052b
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO - 10  xul.dll!js::GetProperty(JSContext*, JS::Handle<JSObject *>, JS::Handle<JS::Value>, JS::Handle<JS::PropertyKey>, JS::MutableHandle<JS::Value>) [ObjectOperations-inl.h:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 117 + 0xa]
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     rsp = 0x000000053d5fb040   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7e42c7
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO - 11  xul.dll!js::GetProperty(JSContext*, JS::Handle<JSObject *>, JS::Handle<JS::Value>, js::PropertyName*, JS::MutableHandle<JS::Value>) [ObjectOperations-inl.h:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 124 + 0x13]
[task 2020-04-14T17:00:43.056Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     rsp = 0x000000053d5fb080   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7d6fcc
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO - 12  xul.dll!js::GetProperty(JSContext*, JS::Handle<JS::Value>, JS::Handle<js::PropertyName *>, JS::MutableHandle<JS::Value>) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 4709 + 0x13]
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     rsp = 0x000000053d5fb100   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7d64e4
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO - 13  xul.dll!Interpret(JSContext*, js::RunState&) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 3000 + 0x431]
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     rsp = 0x000000053d5fb1d0   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.057Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7c1ced
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO - 14  xul.dll!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 462 + 0xb]
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     rsp = 0x000000053d5fb780   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7bad42
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO - 15  xul.dll!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 617 + 0x12]
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     rsp = 0x000000053d5fb800   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7cf7ee
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.058Z] 17:00:43     INFO - 16  xul.dll!InternalCall(JSContext*, js::AnyInvokeArgs const&, js::CallReason) [Interpreter.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 645 + 0x11]
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     rsp = 0x000000053d5fb900   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcd7d10e0
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO - 17  xul.dll!js::jit::DoCallFallback(JSContext*, js::jit::BaselineFrame*, js::jit::ICCall_Fallback*, unsigned int, JS::Value*, JS::MutableHandle<JS::Value>) [BaselineIC.cpp:6ab78a0d5ead1152eca6a80b7c6808e1d3e710b1 : 2927 + 0x10]
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     rsp = 0x000000053d5fb960   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x00007ffdcee41c00
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO - 18  0x19be486affa
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     rbx = 0x000000053d5faa00   rbp = 0x000000053d5faad0
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     rsp = 0x000000053d5fbd50   r12 = 0x000000053d5faab0
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     r13 = 0x000000053d5faa00   r14 = 0x000001f5f7732000
[task 2020-04-14T17:00:43.059Z] 17:00:43     INFO -     r15 = 0x0000000000000008   rip = 0x0000019be486affa
[task 2020-04-14T17:00:43.060Z] 17:00:43     INFO -     Found by: call frame info
[task 2020-04-14T17:00:43.060Z] 17:00:43     INFO - 19  xul.dll!truncf + 0x1268320
[task 2020-04-14T17:00:43.060Z] 17:00:43     INFO -     rsp = 0x000000053d5fbda8   rip = 0x00007ffdd0e80510
[task 2020-04-14T17:00:43.060Z] 17:00:43     INFO -     Found by: stack scanning

Johann, can you please take a look?

Flags: needinfo?(jhofmann)
Whiteboard: [stockwell unknown] → [stockwell needswork:owner]
Whiteboard: [stockwell needswork:owner] → [retrigger][stockwell needswork:owner]

I don't see how bug 1578710 could have caused this, except by shifting the test structure in a certain way by adding a new test. I'm happy to help but I don't see how this is actionable for me.

To be clear, we should not back out bug 1578710. The failing test seems to be browser_ext_port_disconnect_on_crash.js, if anything we should disable that test and needinfo the author.

Flags: needinfo?(jhofmann)

Gabriele, can you take a look?

Flags: needinfo?(gsvelto)

Sure, I have a fix for this.

Assignee: nobody → gsvelto
Status: REOPENED → ASSIGNED
Flags: needinfo?(gsvelto)

This patch modifies exception handling in child processes so that no more than
one minidump will be requested in case of a crash - even when multiple threads
enter the exception handler almost simultaneously.

The fix is implemented by introducing an atomic flag that is set once we first
decide that the exception is a crashing one. All following threads entering
the exception handler will find the flag already set and give up.

This logic was added to the child process exception filters - callbacks that
breakpad invokes within the exception handler to decide whether to generate a
minidump or not. I factored out some of the affected code trying to make it a
bit more readable and a little bit less redundant than before.

Moving the bug in the right component.

Component: JavaScript Engine → Crash Reporting
Product: Core → Toolkit
Pushed by gsvelto@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/77e47b3bf0e4
Generate only one minidump for a crashing child process even when multiple threads trigger the exception handler (almost) at the same time r=KrisWright

CC'ing :tsmith because we talked about this bug at the all hands. Once this land you shouldn't encounter this problem anymore in fuzzing runs and I believe it was a common source of issues because it caused the main process to crash right after a regular content crash.

Thanks :gsvelto!

Status: ASSIGNED → RESOLVED
Closed: 2 years ago2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla77
Regressions: 1498706
Duplicate of this bug: 1548654
Crash Signature: [@ js::ctypes::ConvertToJS(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSObject*>, void*, bool, bool, JS::MutableHandle<JS::Value>)]
Regressions: 1506288
See Also: → 1687146
You need to log in before you can comment on or make changes to this bug.